---
- name: création du répertoire pour recevoir les fichiers statiques de IMIO
  file:
    path: /usr/share/jitsi-meet/static-imio
    state: directory
    mode: 0644

- name: personnalise la config nginx de l'accès jitsi principal
  blockinfile:
    path: /etc/nginx/sites-enabled/{{ inventory_hostname }}.conf
    marker: "# {mark} ANSIBLE MANAGED BLOCK"
    insertafter: "gzip_min_length 512;"
    block: |
      ### Pages static
        location = /rgpd {
            try_files /static-imio/imio-rgpd.html =404;
        }

        location ~ ^/$ {
            try_files /static-imio/imio-index.html =404;
        }

        location ~ ^/static-imio/(.*)$ {
          alias /usr/share/jitsi-meet/static-imio/$1;
        }
  notify:
    - reload nginx

- name: personnalise la config nginx de l'accès à cpas
  blockinfile:
    path: /etc/nginx/sites-enabled/{{ jitsi_multidomain_domain[0] }}.conf
    marker: "# {mark} ANSIBLE MANAGED BLOCK"
    insertafter: "gzip_min_length 512;"
    block: |
      #### Pages static
          location = /cpas {
            try_files /static-imio/cpas-cpas.html =404;
          }

          location = /rgpd {
              try_files /static-imio/cpas-rgpd.html =404;
          }

          location ~ ^/$ {
            try_files /static-imio/cpas-index.html =404;
          }

          location ~ ^/static-imio/(.*)$ {
            alias /usr/share/jitsi-meet/static-imio/$1;
          }
  notify:
    - reload nginx

- name: gestion du cookie la config nginx
  blockinfile:
    path: /etc/nginx/sites-enabled/{{ item }}.conf
    marker: "# {mark} ANSIBLE MANAGED COOKIE BLOCK"
    insertbefore: 'try_files \$uri @root_path'
    block: |
        # Ajout du cookie
        set $room $1;
        if ($http_cookie !~* "rgpd") {
           return 302 $scheme://$host/rgpd?room=$room;
        }
  loop: "{{ jitsi_multidomain_domain }}"
  notify:
    - reload nginx

- name: copy du logo
  copy:
    src: '../file/{{ item[0] }}'
    dest: '/usr/share/jitsi-meet/{{ item[1] }}'
    owner: root
    group: root
    mode: '0644'
  loop:
    - ['visio.imio.be.svg', 'images/']

- name: Adaptation du js
  lineinfile:
    path: /usr/share/jitsi-meet/interface_config.js
    regexp: '{{ item[0] }}'
    line: '{{ item[1] }}'
  loop:
    - ['DEFAULT_LOGO_URL: ', "   DEFAULT_LOGO_URL: 'images/visio.imio.be.svg',"]
    - ['JITSI_WATERMARK_LINK: ', "    JITSI_WATERMARK_LINK: 'https://imio.be',"]
